本文へ移動
Bounty Developer

GET/api/events/{slug}/participants

「イベント」の分類の、情報を読み出す API。ログインした本人として呼ぶ。

要約

選択イベントの WANTED の束(/api/hunt/deck と同じ推薦の並びをそのイベントの参加者に絞る。wanted ON・本人の現在の参加資格を確認)。操作は同イベントの swipe を使用

呼び方と印

ログイン

URL に付ける値(パラメータ)

経路の中の波かっこの部分と、URL の ? の後ろに付ける値。「必須」の印があるものは省けない。

  • slugpath必須string
  • expectedEventIdquery任意string(uuid)
  • expectedActorIdquery任意string(uuid)
  • expectedRevisionquery任意string
    /^[a-f0-9]{64}$/

返るもの(応答)200 · application/json

成功したときに返る形。入れ子の欄は、その行を押すと開く・閉じる。「任意」の印がある欄は返らないことがある。

  • skippedIds任意array<string>
  • processedIds任意array<string>
  • revinteger
  • meobject
    • idstring
    • completenessnumber
    • exposurenumber
    • wishesinteger
  • cardsarray<object>
    • idstring
    • displayNamestring
    • avatarUrlstring | null
    • titlestring | null
    • orgNamestring | null
    • catchphrasestring | null
    • registrationrecord<string>
    • isSpeakerboolean
    • speakerLabel任意string | null
    • atVenueboolean
    • rank任意integer | null
    • compatnumber
    • tier"S" | "A" | "B" | "C"
    • reasonsarray<string>
    • wantedobject | null
      • pitchstring
      • bountynumber
      • target任意string | null
  • remaininginteger
  • countinteger
  • eventIdstring(uuid)
  • actorIdstring(uuid)
  • eventRevisionstring/^[a-f0-9]{64}$/

失敗したとき(エラー)

失敗したときの状態コードと、その意味。本文の error の値で、プログラムが失敗の種類を見分けられる。

  • 400HTTP 400(x-bounty-error-codes を参照)
  • 401未ログイン(unauthorized)/ Bearer が無効(invalid_token。WWW-Authenticate 付き)
  • 403HTTP 403(x-bounty-error-codes を参照)
  • 404HTTP 404(x-bounty-error-codes を参照)
  • 409HTTP 409(x-bounty-error-codes を参照)
  • event_not_found
  • feature_disabled
  • not_participant
  • invalid_event_context
  • event_context_changed
  • actor_changed
  • ticket_required
  • ticket_pending
  • ticket_verification_required

呼び出しの見本

そのまま試せる呼び出しの例。curl と fetch をタブで切り替える。ID やトークンは自分の値に置き換える。

curl "https://bounty.spikes.4s.link/api/events/{slug}/participants" \
  -H "Authorization: Bearer $BEARER_AUTH"
GET /api/events/{slug}/participants | Bounty Developer